Package ru.bitel.bgbilling.modules.bill.server.bean

# Class Bill

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.bill.server.bean.BillDoc
ru.bitel.bgbilling.modules.bill.server.bean.Bill

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Bill extends BillDoc

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Bill()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccountId()`
  `Date`
  `getPayDate()`
  `int`
  `getPaymentId()`
  `int`
  `getPayUid()`
  `int`
  `getStatus()`
  `Bill`
  `setAccountId(int accountId)`
  `Bill`
  `setBankAccount(BankAccount bankAccount)`
  `Bill`
  `setContractId(int contractId)`
  `Bill`
  `setCreateDate(Date createDate)`
  `Bill`
  `setFormatNumber(String formatNumber)`
  `Bill`
  `setId(int id)`
  Устанавливает id объекта
  `Bill`
  `setMonth(int month)`
  `Bill`
  `setNpid(int npid)`
  `Bill`
  `setNumber(int number)`
  `Bill`
  `setNumberInMonth(int numberInMonth)`
  `Bill`
  `setNumberInYear(int numberInYear)`
  `Bill`
  `setPayDate(Date payDate)`
  `Bill`
  `setPaymentId(int paymentId)`
  `Bill`
  `setPayUid(int payUid)`
  `Bill`
  `setStatus(int status)`
  `Bill`
  `setSum(BigDecimal sum)`
  `Bill`
  `setTypeId(int typeId)`
  `Bill`
  `setUnloadStatus(int unloadStatus)`
  `Bill`
  `setUserId(int userId)`
  Установить код создавшего пользователя
  `Bill`
  `setYear(int year)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.server.bean.BillDoc

  `getAddress, getBankAccount, getContractComment, getContractTitle, getCorrection, getCreateDate, getDocument, getFormatNumber, getMonth, getNpid, getNumber, getNumberInMonth, getNumberInYear, getOrganization, getPositionList, getRecipient, getSum, getTypeId, getTypeTitle, getUid, getUnloadStatus, getUserId, getUserName, getXmlData, getYear, setAddress, setContractComment, setContractTitle, setCorrection, setDocument, setOrganization, setPositionList, setRecipient, setTypeTitle, setUserName, setXmlData`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Bill

    public Bill()

- ## Method Details

  - ### getAccountId

    public int getAccountId()

  - ### getPayDate

    public Date getPayDate()

  - ### getPaymentId

    public int getPaymentId()

  - ### getPayUid

    public int getPayUid()

  - ### getStatus

    public int getStatus()

  - ### setAccountId

    public Bill setAccountId(int accountId)

  - ### setBankAccount

    public Bill setBankAccount(BankAccount bankAccount)
    Overrides:
      `setBankAccount` in class `BillDoc`

  - ### setContractId

    public Bill setContractId(int contractId)
    Overrides:
      `setContractId` in class `BillDoc`

  - ### setCreateDate

    public Bill setCreateDate(Date createDate)
    Overrides:
      `setCreateDate` in class `BillDoc`

  - ### setMonth

    public Bill setMonth(int month)
    Overrides:
      `setMonth` in class `BillDoc`

  - ### setNpid

    public Bill setNpid(int npid)
    Overrides:
      `setNpid` in class `BillDoc`

  - ### setPayDate

    public Bill setPayDate(Date payDate)

  - ### setPaymentId

    public Bill setPaymentId(int paymentId)

  - ### setPayUid

    public Bill setPayUid(int payUid)

  - ### setStatus

    public Bill setStatus(int status)

  - ### setSum

    public Bill setSum(BigDecimal sum)
    Overrides:
      `setSum` in class `BillDoc`

  - ### setTypeId

    public Bill setTypeId(int typeId)
    Overrides:
      `setTypeId` in class `BillDoc`

  - ### setUserId

    public Bill setUserId(int userId)
    Description copied from class: `BillDoc`
    Установить код создавшего пользователя
    Overrides:
      `setUserId` in class `BillDoc`

  - ### setYear

    public Bill setYear(int year)
    Overrides:
      `setYear` in class `BillDoc`

  - ### setId

    public Bill setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `BillDoc`

  - ### setFormatNumber

    public Bill setFormatNumber(String formatNumber)
    Overrides:
      `setFormatNumber` in class `BillDoc`

  - ### setNumber

    public Bill setNumber(int number)
    Overrides:
      `setNumber` in class `BillDoc`

  - ### setNumberInMonth

    public Bill setNumberInMonth(int numberInMonth)
    Overrides:
      `setNumberInMonth` in class `BillDoc`

  - ### setNumberInYear

    public Bill setNumberInYear(int numberInYear)
    Overrides:
      `setNumberInYear` in class `BillDoc`

  - ### setUnloadStatus

    public Bill setUnloadStatus(int unloadStatus)
    Overrides:
      `setUnloadStatus` in class `BillDoc`